CREATE TABLE NNPRIVEZ_HISTORY (
ID_NNPRIVEZ_HISTORY NUMBER NOT NULL,
OBJEKT VARCHAR2(20 CHAR) NOT NULL,
KATEGORIJA VARCHAR2(10 CHAR) NOT NULL,
DATE_CREATE DATE NOT NULL,
NUMBER_OF_BERTHS NUMBER,
LENGTH NUMBER,
SURFACE NUMBER,
CALCULATED_SURFACE NUMBER,
CONSTRAINT PK_NNPRIVEZ_HISTORY PRIMARY KEY(ID_NNPRIVEZ_HISTORY)
)
;

CREATE SEQUENCE NNPRIVEZ_HISTORY_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

UPDATE PRIKLJ
SET OBRACUNAN='Y'
WHERE OBRACUNAN='N' AND ID_STORITVE IS NULL AND DATUM_KONCA IS NULL AND ZACETNO_STANJE>KONCNO_STANJE
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2173, SYSDATE, '5.5', 2093, 'NNPRIVEZ_HISTORY')
;