ALTER TABLE ALARM_CHECK
  ADD PRIORITY NUMBER;

ALTER TABLE ALARM_DATA
  ADD PRIORITY NUMBER;

ALTER TABLE ALARM_HISTORY
  ADD PRIORITY NUMBER;

UPDATE ALARM_CHECK
SET PRIORITY=3
WHERE PRIORITY IS NULL;

UPDATE ALARM_DATA
SET PRIORITY=3
WHERE PRIORITY IS NULL;

UPDATE ALARM_HISTORY
SET PRIORITY=3
WHERE PRIORITY IS NULL;

CREATE TABLE ALARM_CHECK_RECIEVE (
ID_ALARM_C_RECIEVE NUMBER NOT NULL,
ALARM VARCHAR2(50 CHAR) NOT NULL,
DEPARTMENT VARCHAR2(3 CHAR),
NUSER VARCHAR2(20 CHAR),
CONSTRAINT PK_ALARM_CHECK_RECIEVE PRIMARY KEY (ID_ALARM_C_RECIEVE));

CREATE SEQUENCE ALARM_CHECK_RECIEVE_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE UNIQUE INDEX IX_ALARM_CHECK_RECIEVE1 ON ALARM_CHECK_RECIEVE (ALARM, DEPARTMENT, NUSER);

Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) 
values 
('ALARM_CHECK_RECIEVE','ALARM','ALARM_CHECK','SIFRA','S','OPIS','S');

Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) 
values 
('ALARM_CHECK_RECIEVE','DEPARTMENT','NDEPARTMENT','SIFRA','S','OPIS','S');

Insert into DATA_KEYS (IZVOR_TABELA,IZVOR_POLJE,IME_TABELE,IME_POLJA,TIP_POLJA,POLJE_OPIS,TIP_OPIS) 
values 
('ALARM_CHECK_RECIEVE','NUSER','NUSER','NUSER','S','USER_','S');


INSERT INTO ALARM_CHECK_RECIEVE (ID_ALARM_C_RECIEVE, ALARM, DEPARTMENT)
VALUES
(ALARM_CHECK_RECIEVE_SEQ.NEXTVAL, 'CONTRACT_BERTH', 'REC');

INSERT INTO ALARM_CHECK_RECIEVE (ID_ALARM_C_RECIEVE, ALARM, DEPARTMENT)
VALUES
(ALARM_CHECK_RECIEVE_SEQ.NEXTVAL, 'CONTRACT_EXPIRED', 'SAL');

INSERT INTO ALARM_CHECK_RECIEVE (ID_ALARM_C_RECIEVE, ALARM, DEPARTMENT)
VALUES
(ALARM_CHECK_RECIEVE_SEQ.NEXTVAL, 'CONTRACT_INVOICED', '');

INSERT INTO ALARM_CHECK_RECIEVE (ID_ALARM_C_RECIEVE, ALARM, DEPARTMENT)
VALUES
(ALARM_CHECK_RECIEVE_SEQ.NEXTVAL, 'OWNER_BIRTHDAY', 'SAL');

INSERT INTO ALARM_CHECK_RECIEVE (ID_ALARM_C_RECIEVE, ALARM, DEPARTMENT)
VALUES
(ALARM_CHECK_RECIEVE_SEQ.NEXTVAL, 'VESSEL_INSURANCE', 'SAL');

INSERT INTO ALARM_CHECK_RECIEVE (ID_ALARM_C_RECIEVE, ALARM, DEPARTMENT)
VALUES
(ALARM_CHECK_RECIEVE_SEQ.NEXTVAL, 'VESSEL_REGISTRATION', 'SAL');

INSERT INTO ALARM_CHECK_RECIEVE (ID_ALARM_C_RECIEVE, ALARM, DEPARTMENT)
VALUES
(ALARM_CHECK_RECIEVE_SEQ.NEXTVAL, 'VESSEL_SERVICE', 'SER');

INSERT INTO ALARM_CHECK_RECIEVE (ID_ALARM_C_RECIEVE, ALARM, DEPARTMENT)
VALUES
(ALARM_CHECK_RECIEVE_SEQ.NEXTVAL, 'OWNER_SALDKONT_OVERDUE', 'SAL');

INSERT INTO ALARM_CHECK_RECIEVE (ID_ALARM_C_RECIEVE, ALARM, DEPARTMENT)
VALUES
(ALARM_CHECK_RECIEVE_SEQ.NEXTVAL, 'VESSEL_OPEN_SERVICES', 'REC');

INSERT INTO ALARM_CHECK_RECIEVE (ID_ALARM_C_RECIEVE, ALARM, DEPARTMENT)
VALUES
(ALARM_CHECK_RECIEVE_SEQ.NEXTVAL, 'VESSEL_OPEN_WORK_ORDER', 'SER');

INSERT INTO ALARM_CHECK_RECIEVE (ID_ALARM_C_RECIEVE, ALARM, DEPARTMENT)
VALUES
(ALARM_CHECK_RECIEVE_SEQ.NEXTVAL, 'VESSEL_SAIL_PERMIT', 'SAL');

INSERT INTO ALARM_CHECK_RECIEVE (ID_ALARM_C_RECIEVE, ALARM, DEPARTMENT)
VALUES
(ALARM_CHECK_RECIEVE_SEQ.NEXTVAL, 'VESSEL_AUTHORIZATION', 'SER');

INSERT INTO ALARM_CHECK_RECIEVE (ID_ALARM_C_RECIEVE, ALARM, DEPARTMENT)
VALUES
(ALARM_CHECK_RECIEVE_SEQ.NEXTVAL, 'VESSEL_SIGN_IN', 'SER');

INSERT INTO ALARM_CHECK_RECIEVE (ID_ALARM_C_RECIEVE, ALARM, DEPARTMENT)
VALUES
(ALARM_CHECK_RECIEVE_SEQ.NEXTVAL, 'VESSEL_OIL_CHANGE', 'SER');

INSERT INTO ALARM_CHECK_RECIEVE (ID_ALARM_C_RECIEVE, ALARM, DEPARTMENT)
VALUES
(ALARM_CHECK_RECIEVE_SEQ.NEXTVAL, 'PRESPR', 'REC');


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (740, SYSDATE, '5.5', 660, 'Alarms');
