ALTER TABLE NNLOCATION
ADD STORE_ID VARCHAR2(50 CHAR);

ALTER TABLE NNLOCATION
ADD TERMINAL_ID VARCHAR2(50 CHAR);

CREATE TABLE WORKSTATION (
	ID NUMBER NOT NULL,
	DESCRIPTION VARCHAR2(200 CHAR),
	WORKSTATION_ID VARCHAR2(50 CHAR),
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
	STATUS NUMBER,
	"COMMENT" VARCHAR2(250 CHAR),
	CONSTRAINT WORKSTATION_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE WORKSTATION_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE NUSER
ADD ID_WORKSTATION NUMBER;

CREATE TABLE DEVICE (
	ID NUMBER NOT NULL,
	ID_WORKSTATION NUMBER,
	DESCRIPTION VARCHAR2(200 CHAR),
	LANE_ID NUMBER,
	STATUS NUMBER,
	CONSTRAINT DEVICE_ID_WORKSTATION_FK FOREIGN KEY (ID_WORKSTATION) REFERENCES WORKSTATION(ID),
	CONSTRAINT DEVICE_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE DEVICE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1016, SYSDATE, '5.5', 936, 'Workstations');