DROP VIEW V_S_PROMET;

CREATE OR REPLACE VIEW V_S_PROMET
AS (
SELECT SP.ID_PROMET, SP.ID_ARTIKEL, SP.ID_ENOTA, SP.ID_DOKUMENT, SP.ZAP_ST, SP.KOLICINA, SP.CENA, SP.NIVELACIJA, SP.RABAT, SP.MARZA, SP.ZNESEK, SP.DAV_STOPNJA, SP.ZALOGA, SP.CENA_SKL,
SP.TECAJ, SP.DEL_NALOG, SP.NAMEN, SP.KOMENTAR, SP.INVOICE, SP.NAZIV,
SD.STEVILKA AS S_DOKUMENT_STEVILKA, SD.TIP AS S_DOKUMENT_TIP, SD.ID_LOKACIJA AS S_DOKUMENT_ID_LOKACIJA, SA.NAZIV AS S_ARTIKLI_NAZIV, SA.NAZIV1 AS S_ARTIKLI_NAZIV1, SE.NAZIV AS S_ENOTE_NAZIV
FROM S_PROMET SP
LEFT OUTER JOIN S_DOKUMENT SD ON SD.ID_DOKUMENT = SP.ID_DOKUMENT
LEFT OUTER JOIN S_ARTIKLI SA ON SA.ID_ARTIKEL = SP.ID_ARTIKEL
LEFT OUTER JOIN S_ENOTE SE ON SE.ID_ENOTA = SP.ID_ENOTA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1441, SYSDATE, '5.5', 1361, 'VSPromet dokument')
;