ALTER TABLE FB_LOCATION
ADD INVOICE_PRINT_DIALOG VARCHAR2(1 CHAR);

ALTER TABLE NSALDKONT_SUBTYPE
ADD FOOD_AND_BEVERAGE VARCHAR2(1 CHAR);

ALTER TABLE FB_NOTE
ADD ID_ARTIKEL NUMBER;

DROP VIEW V_NNCARDS;

CREATE OR REPLACE VIEW V_NNCARDS AS (
SELECT NC.ID_CARDS, NC.OPIS, NC.INTERNI_OPIS, NC.VRSTA_DENARJA, NC.VALUTA, NC.PROVIZIJA, NC.KONTO, NC.KNJIZBA_OPIS, NC.STORITEV, NC.RECEIVED_PAYMENT, NC.FOOD_AND_BEVERAGE,
NC.USE_PAYMENT_SYSTEM, NC.CARD_ISSUER, NC.REFUND, NC.MOBILE_USE, NC.VBLAGAJNI, NC.ROUNDING, NC.ACTIVE,
PI.OPIS AS PLATNI_INSTRUMENTI_OPIS, PI.VRSTA AS PLATNI_INSTRUMENTI_VRSTA, MS.OPIS AS NNSTOMAR_OPIS, PS.OPIS AS PAYMENT_SYSTEM_OPIS, CI.OPIS AS CARD_ISSUER_OPIS
FROM NNCARDS NC
LEFT OUTER JOIN PLATNI_INSTRUMENTI PI ON PI.PLATNI_INSTRUMENT = NC.VRSTA_DENARJA
LEFT OUTER JOIN M_NNSTOMAR MS ON MS.SIFRA = NC.STORITEV
LEFT OUTER JOIN NNPAYMENT_SYSTEM PS ON PS.SIFRA =  NC.USE_PAYMENT_SYSTEM
LEFT OUTER JOIN NNCARD_ISSUER CI ON CI.SIFRA =  NC.CARD_ISSUER
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1807, SYSDATE, '5.5', 1727, 'FB')
;
