ALTER TABLE NOTIFICATION_TEMPLATE_TYPE
ADD TABLE_NAME VARCHAR2(50 CHAR);

ALTER TABLE NOTIFICATION_TEMPLATE_TYPE
ADD COLUMN_NAME VARCHAR2(50 CHAR);

UPDATE NOTIFICATION_TEMPLATE_TYPE
SET TABLE_NAME = 'ASSISTANCE', COLUMN_NAME = 'ID'
WHERE CODE IN ('ACO')  AND TABLE_NAME IS NULL AND COLUMN_NAME IS NULL;

UPDATE NOTIFICATION_TEMPLATE_TYPE
SET TABLE_NAME = 'NAJAVE', COLUMN_NAME = 'ID'
WHERE CODE IN ('CPC')  AND TABLE_NAME IS NULL AND COLUMN_NAME IS NULL;

UPDATE NOTIFICATION_TEMPLATE_TYPE
SET TABLE_NAME = 'PREGLEDI', COLUMN_NAME = 'ID_PREGLEDI'
WHERE CODE IN ('BRI')  AND TABLE_NAME IS NULL AND COLUMN_NAME IS NULL;

ALTER TABLE NOTIFICATION
ADD REFERENCE_ID NUMBER;

ALTER TABLE NOTIFICATION
ADD REFERENCE_TABLE VARCHAR2(40 CHAR);

ALTER TABLE NOTIFICATION
ADD ID_NOTIFICATION_TEMPLATE NUMBER;

ALTER TABLE NOTIFICATION
ADD NNLOCATION_ID NUMBER;

DROP VIEW V_NOTIFICATION;

CREATE OR REPLACE VIEW V_NOTIFICATION
AS (
SELECT N.ID_NOTIFICATION, N.ID_LASTNIKA, N.RECEIVER, N.TITLE, N.CONTENT, N.STATUS, N.STATUS_MESSAGE, N.DATE_CREATED, N.USER_CREATED,
N.REFERENCE_ID, N.REFERENCE_TABLE, N.ID_NOTIFICATION_TEMPLATE, N.NNLOCATION_ID, 
K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER
FROM NOTIFICATION N
LEFT OUTER JOIN KUPCI K ON N.ID_LASTNIKA = K.ID
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2174, SYSDATE, '5.5', 2094, 'Notifications')
;