CREATE OR REPLACE VIEW V_SALDKONT_DETAILS AS 
SELECT R.ID_RACUN_DATA, R.ID_SALDKONT, SS.OPIS AS SERVICE, R.DATUM_OD, R.DATUM_DO, R.KOMENTAR, S.ID_PRIVEZ
FROM RACUN_DATA R 
JOIN (SELECT ID_SALDKONT, MIN(ID_RACUN_DATA) AS ID_RACUN_DATA FROM RACUN_DATA WHERE ZAP_ST=1 GROUP BY ID_SALDKONT) D ON D.ID_RACUN_DATA=R.ID_RACUN_DATA 
LEFT OUTER JOIN M_STORITVE S ON R.ID_STORITVE=S.ID_STORITVE
LEFT OUTER JOIN M_NNSTOMAR SS ON S.STORITEV=SS.SIFRA
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1005, SYSDATE, '5.5', 925, 'VSaldkontDetails');